%{?python_enable_dependency_generator}

Name:		ksc
Version:	1.9
Release:	1.0.1%{?dist}
Summary:	Kernel source code checker
Group:		Development/Tools
AutoReqProv:	no
License:	GPLv2+
URL:		https://www.oracle.com
BuildArch:	noarch
Requires:	kmod
Requires:	binutils
Requires:	kernel-devel
Requires:	python3-requests
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Source0:	ksc-%{version}.tar.gz
Patch5000:	oracle-remove-unfit-option.patch
Patch5001:	bug30285084-remove-upstream-references.patch
Patch5002:	bug30319244-remove-upstream-references.patch

%description
A kernel module source code checker to find usage of select symbols

%prep
%setup
%patch5000 -p1
%patch5001 -p1
%patch5002 -p1

%build
%py3_build

%install
%py3_install
install -D ksc.1 %{buildroot}%{_mandir}/man1/ksc.1

%files
%license COPYING
%doc README PKG-INFO
%{_bindir}/ksc
%{_datadir}/ksc
%{_mandir}/man1/ksc.*
%{python3_sitelib}/ksc-%{version}*.egg-info

%changelog
* Thu May 26 2022 Tianyue Lan <tianyue.lan@oracle.com> - 1.9-1.0.1
- Added bug30319244-remove-upstream-references.patch [Orabug: 30319244]
- Added bug30285084-remove-upstream-references.patch [Orabug: 30285084]
- Add oracle-remove-unfit-option.patch [Orabug: 23634996]
- Removed forge references

* Wed Feb 09 2022 Čestmír Kalina <ckalina@redhat.com> - 1.9-1
- Resolves: #2043447 ksc: Support Authorization header in bugzilla API

* Sun Dec 19 2021 Čestmír Kalina <ckalina@redhat.com> - 1.8-5
- Resolves: #2032138 add Red Hat Enterprise Linux 9 support

* Mon Nov 22 2021 Čestmír Kalina <ckalina@redhat.com> - 1.8-4
- Resolves: #1761398 Add symbol namespace support to ksc

* Mon Aug 09 2021 Mohan Boddu <mboddu@redhat.com> - Forge-specific packaging variables
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags
  Related: rhbz#1991688

* Tue Jun 01 2021 Ziqian SUN <zsun@redhat.com> - 1.8-2
- Adding python3-requests into Requires.

* Mon May 17 2021 Čestmír Kalina <ckalina@redhat.com> - 1.8-1
- Resolves: #1954495 ksc: i18n issues

* Fri Apr 16 2021 Mohan Boddu <mboddu@redhat.com> - Forge-specific packaging variables
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937

* Tue Jan 05 2021 Čestmír Kalina <ckalina@redhat.com> - 1.7-1
- Initial Fedora commit.
